org.keycloak.saml.processing.core.saml.v1.writers

## Class SAML11AssertionWriter

- java.lang.Object
- - org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer
  - - org.keycloak.saml.processing.core.saml.v1.writers.SAML11AssertionWriter

-     public class SAML11AssertionWriter
      extends BaseSAML11Writer

  Write the SAML 11 Assertion to stream
  Since:
    June 24, 2011
  Author:
    Anil.Saldhana@redhat.com

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.saml.processing.core.saml.v1.writers.BaseSAML11Writer

      `ASSERTION_PREFIX, logger, PROTOCOL_PREFIX, writer, XACML_SAML_PREFIX, XACML_SAML_PROTO_PREFIX, XSI_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AssertionWriter(XMLStreamWriter writer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(SAML11ActionType action)`
    `void` | `write(SAML11AssertionType assertion)` Write an `SAML11AssertionType` to stream
    `void` | `write(SAML11AttributeStatementType statement)`
    `void` | `write(SAML11AttributeType attributeType)` Write an `AttributeType` to stream
    `void` | `write(SAML11AuthenticationStatementType authnStatement)` Write an `AuthnStatementType` to stream
    `void` | `write(SAML11AuthorityBindingType authority)`
    `void` | `write(SAML11AuthorizationDecisionStatementType xacmlStat)`
    `void` | `write(SAML11EvidenceType evidence)`
    `void` | `write(SAML11NameIdentifierType nameid)`
    `void` | `write(SAML11SubjectConfirmationType confirmation)`
    `void` | `write(SAML11SubjectLocalityType locality)`
    `void` | `write(SAML11SubjectStatementType statement)`
    `void` | `write(SAML11SubjectType subject)` write an `SubjectType` to stream
    `void` | `write(StatementAbstractType statement)` Write an `StatementAbstractType` to stream
    `void` | `writeAttributeTypeWithoutRootTag(SAML11AttributeType attributeType)`
    `void` | `writeLocalizedNameType(LocalizedNameType localizedNameType, QName startElement)`
    `void` | `writeStringAttributeValue(String attributeValue)`
    `void` | `writeSubjectConfirmationData(Object scData)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SAML11AssertionWriter

          public SAML11AssertionWriter(XMLStreamWriter writer)

  - ### Method Detail

    - #### write

          public void write(SAML11AssertionType assertion)
                     throws ProcessingException

      Write an `SAML11AssertionType` to stream
      Parameters:
        `assertion` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(StatementAbstractType statement)
                     throws ProcessingException

      Write an `StatementAbstractType` to stream
      Parameters:
        `statement` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11SubjectStatementType statement)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AttributeStatementType statement)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AuthenticationStatementType authnStatement)
                     throws ProcessingException

      Write an `AuthnStatementType` to stream
      Parameters:
        `authnStatement` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AuthorityBindingType authority)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11SubjectLocalityType locality)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AuthorizationDecisionStatementType xacmlStat)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11SubjectType subject)
                     throws ProcessingException

      write an `SubjectType` to stream
      Parameters:
        `subject` -
        `out` -
      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11SubjectConfirmationType confirmation)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeSubjectConfirmationData

          public void writeSubjectConfirmationData(Object scData)
                                            throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11NameIdentifierType nameid)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11AttributeType attributeType)
                     throws ProcessingException

      Write an `AttributeType` to stream
      Parameters:
        `attributeType` -
        `out` -
      Throws:
        `ProcessingException`

    - #### writeAttributeTypeWithoutRootTag

          public void writeAttributeTypeWithoutRootTag(SAML11AttributeType attributeType)
                                                throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeStringAttributeValue

          public void writeStringAttributeValue(String attributeValue)
                                         throws ProcessingException

      Throws:
        `ProcessingException`

    - #### writeLocalizedNameType

          public void writeLocalizedNameType(LocalizedNameType localizedNameType,
                                             QName startElement)
                                      throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11ActionType action)
                     throws ProcessingException

      Throws:
        `ProcessingException`

    - #### write

          public void write(SAML11EvidenceType evidence)
                     throws ProcessingException

      Throws:
        `ProcessingException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.